Page MenuHomePhabricator

Issues on eswiki-2018 campaign
Closed, ResolvedPublic

Description

I have been reviewing https://gerrit.wikimedia.org/r/wikimedia/campaigns/eswiki-2018 and found a number of potential issues worth mentioning. I am grouping them in a subtask since they seem quite petty on their own.

  • The top logo is showing: "WikipediA / La enciclopedia lib“ The file (eswikilogo.svg) is a svg that contains the full subtitle (La enciclopedia libre), and it is surely because I don't have locally installed the fonts used (CharisSIL, Charis SIL). Still, this will happen for most people, so it should be a blocker.
  • The first paragraph uses a serial coma, however (as noted in the other languages section) in Spanish that must not be used.
  • I would also suggest linking the topics of the first paragraph to the corresponding portals: historia, deportes, arte.
  • I'm not too keen about defining it as "gratuita" instead of "libre", although there may be good reasons to use that (what about "libre y gratuita"?). See also https://es.wikipedia.org/wiki/Wikipedia:La_enciclopedia_libre
  • The image hero-320.jpg (also with files in other sizes) is https://commons.wikimedia.org/wiki/File:Festival_mundial_de_Tango_en_Buenos_Aires,_Argentina.jpg, under license CC-BY by virginiainnocenti. I don't think the microsite is properly following the license.
  • Stray 0x08 before ú on "Música"
  • The piwik code loads piwik.js if there is javascript, else inserts and image. And then, it is inserted unconditionally as an image (again). Is that really what it is supposed to do? (ref: Ia1d14a3d6, T202591)

Event Timeline

Change 471185 had a related patch set uploaded (by Platonides; owner: Platonides):
[wikimedia/campaigns/eswiki-2018@master] Remove 0x08 character from the middle of the word

https://gerrit.wikimedia.org/r/471185

Platonides updated the task description. (Show Details)Nov 1 2018, 11:54 PM

Change 471187 had a related patch set uploaded (by Platonides; owner: Platonides):
[wikimedia/campaigns/eswiki-2018@master] Remove serial comma

https://gerrit.wikimedia.org/r/471187

Platonides updated the task description. (Show Details)Nov 2 2018, 12:00 AM

Change 471188 had a related patch set uploaded (by Platonides; owner: Platonides):
[wikimedia/campaigns/eswiki-2018@master] Remove duplicated piwik image code

https://gerrit.wikimedia.org/r/471188

Removing the second image per prtksxna request. bawolff also agreed it seemingly was duplicated.

Change 471185 merged by Prtksxna:
[wikimedia/campaigns/eswiki-2018@master] Remove 0x08 character from the middle of the word

https://gerrit.wikimedia.org/r/471185

Change 471187 merged by Prtksxna:
[wikimedia/campaigns/eswiki-2018@master] Remove serial comma

https://gerrit.wikimedia.org/r/471187

Change 471188 merged by Prtksxna:
[wikimedia/campaigns/eswiki-2018@master] Remove duplicated piwik image code

https://gerrit.wikimedia.org/r/471188

Prtksxna updated the task description. (Show Details)Nov 3 2018, 2:26 PM
From the description:
  • I would also suggest linking the topics of the first paragraph to the corresponding portals: historia, deportes, arte.
  • I'm not too keen about defining it as "gratuita" instead of "libre", although there may be good reasons to use that (what about "libre y gratuita"?). See also https://es.wikipedia.org/wiki/Wikipedia:La_enciclopedia_libre

@atgo, could you look at these and let me know what needs to be done?

From the description:
  • The top logo is showing: "WikipediA / La enciclopedia lib“ The file (eswikilogo.svg) is a svg that contains the full subtitle (La enciclopedia libre), and it is surely because I don't have locally installed the fonts used (CharisSIL, Charis SIL). Still, this will happen for most people, so it should be a blocker.

@Nirzar, do you have a version where we've converted it to outlines, or should we use some other font?

The image hero-320.jpg (also with files in other sizes) is https://commons.wikimedia.org/wiki/File:Festival_mundial_de_Tango_en_Buenos_Aires,_Argentina.jpg, under license CC-BY by virginiainnocenti. I don't think the microsite is properly following the license.

@Nirzar, could you add the placement for this in the design, I'll try to update the page ASAP.

atgo added a comment.Nov 6 2018, 7:43 PM
From the description:
  • I would also suggest linking the topics of the first paragraph to the corresponding portals: historia, deportes, arte.

I'm not sure what this would look like and where it would link. Preference is to keep things simple and clear rather than clutter with additional elements. @Prtksxna what would this look like?

Checking with Communications, who wrote this copy and own messaging.

@atgo, could you look at these and let me know what needs to be done?

atgo added a comment.Nov 6 2018, 7:45 PM

@Prtksxna on the copy, it was reviewed by community and signed off on (alongside design). I'd prefer not to change it at this point.

I'm not sure what this would look like and where it would link. Preference is to keep things simple and clear rather than clutter with additional elements. @Prtksxna what would this look like?

My understanding is that certain words (don't know which ones, since I don't speak the language) from the article excerpt would link to the relevant portals. I'd err on the side of simplicity too.

@Prtksxna on the copy, it was reviewed by community and signed off on (alongside design). I'd prefer not to change it at this point.

Got it 👍🏽

atgo added a comment.Nov 13 2018, 10:18 PM

@Prtksxna can we close this out?

IMHO at least the license issue and the logo image would have to be fixed before.

The page is displaying for me like this:

Change 473304 had a related patch set uploaded (by Platonides; owner: Platonides):
[wikimedia/campaigns/eswiki-2018@master] Add licensing information for hero-*.jpg images

https://gerrit.wikimedia.org/r/473304

Change 473304 merged by Prtksxna:
[wikimedia/campaigns/eswiki-2018@master] Add licensing information for hero-*.jpg images

https://gerrit.wikimedia.org/r/473304

Change 473318 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[wikimedia/campaigns/eswiki-2018@master] fix: convert SVG type to outlines

https://gerrit.wikimedia.org/r/473318

Change 473318 merged by Prtksxna:
[wikimedia/campaigns/eswiki-2018@master] fix: convert SVG type to outlines

https://gerrit.wikimedia.org/r/473318

@Nirzar, I've converted the text to outlines and updated the website. Could you confirm that this image is alright?

Prtksxna updated the task description. (Show Details)Nov 14 2018, 2:13 AM

@Platonides, since we won't be making the rest of the changes, would it be ok to close this task now?

Prtksxna closed this task as Resolved.Nov 20 2018, 2:15 AM
Prtksxna assigned this task to Platonides.

Thanks for your patches @Platonides :)